<!doctype html>
<html>
<head>
	<meta charset="UTF-8">
	<title><?php echo(basename(realpath(dirname(".")))) ?></title>

	<link rel="stylesheet" href="/.style.css">
	<script src="/.sorttable.js"></script>
	<form class="search-wrapper" action="/.search.php" method="post">
		<input type="text" id="srchtxtfld" name="srchtxtfld" placeholder="Search for..." required title="e.g. 1989.07 = shows from July of 89&#10;140340 = shnid 140340&#10;Debut = First time songs played&#10;24-96 = 24 bit, 96kHz recordings&#10;miller = e.g. Steve Miller guest appearances">
		<input type="submit" value="go" id="srchsubmit" name="srchsubmit">
	</form>
</head>

<body>
<div id="container">
	<h1><?php if (file_exists("cover.jpg")) {
			echo('<img src="cover.jpg" style="width:64px;height:64px;vertical-align:middle;position:absolute;left:5px;top:5px;">');
		} elseif (file_exists(".cover.jpg")) {
			echo('<img src=".cover.jpg" style="width:64px;height:64px;vertical-align:middle;position:absolute;left:5px;top:5px;">');
		}
		echo( basename(realpath(dirname("."))) ) ?>
		<a href="/"><img src="/.home.jpg" style="width:64px;height:64px;vertical-align:middle;position:absolute;right:5px;top:5px;"></a>
	</h1>

	<table class="sortable">
	    <thead>
		<tr>
			<th>Get</th>
			<th>Filename</th>
			<th>Type</th>
			<th>Size</th>
			<th>Date Modified</th>
		</tr>
	    </thead>
	    <tbody><?php

	// Adds pretty filesizes
	function pretty_filesize($file) {
		$size="";
		if (is_dir($file)) {
			$cnt=0;
			$di=new DirectoryIterator($file);
			foreach ($di as $fileinfo) {
				if (!(substr($fileinfo->getFilename(), 0, 1) == ".") ) {
					$cnt++;
				}
			}
			$size = $cnt . " items";
		} else {
			$size=filesize($file);
			if($size<1024){$size=$size." Bytes";}
			elseif(($size<1048576)&&($size>1023)){$size=round($size/1024, 1)." KB";}
			elseif(($size<1073741824)&&($size>1048575)){$size=round($size/1048576, 1)." MB";}
			else{$size=round($size/1073741824, 1)." GB";}
			//return $size;
		}
		return $size;
	}

	$dir_contains_files = false;
	$dir_contains_flacs = false;
	if ($handle = opendir(".")) {
		while( false !== ($entry=readdir($handle))) {
			if ( !is_dir($entry) && substr("$entry", 0, 1)!=".") {
				$dir_contains_files = true;
				if (substr("$entry", -4) === "flac")
					$dir_contains_flacs = true; 
			}
		}
	}
	closedir($handle);

	if ( $dir_contains_files ) {
		echo ('<form action="/.getzip.php" method="post">');
		// 2016.03.31 Add path submit is coming from so getzip.php can be universal
		echo ('<input type="hidden" name="refpage" value="' . realpath(dirname(".")) . '"');
	}


	if( strpos(basename(realpath(dirname("."))), "[24-96]") ) $sampdat=1;
	elseif( strpos(basename(realpath(dirname("."))), "[24-88]") ) $sampdat=2;
	elseif( strpos(basename(realpath(dirname("."))), "[24-48]") ) $sampdat=3;
	elseif( strpos(basename(realpath(dirname("."))), "[16-48]") ) $sampdat=4;
	elseif( strpos(basename(realpath(dirname("."))), "(mp3)") )	$sampdat=6;
	else $sampdat=5;	// [16-44.1]


	$myDirectory=opendir(".");							// Opens directory
	while($entryName=readdir($myDirectory)) {		// Gets each entry and adds to array, dirArray
		$dirArray[]=$entryName;
	}
	closedir($myDirectory);								// Closes directory
	$indexCount=count($dirArray);						// Counts elements in array
	sort($dirArray);										// Sorts files

	// Loops through the array of files
	for($index=0; $index < $indexCount; $index++) {

		// Decides if hidden files should be displayed, based on query above.
		// The strlen function precludes . and .. from being interpreted as hidden files
		if(strlen($dirArray[$index])<3 || substr("$dirArray[$index]", 0, 1)!=".") {

			$favicon="";
			$class="file";

			// Get File Names
			$name=$dirArray[$index];
			$namehref=$dirArray[$index];

			// Gets Date Modified
			$modtime=date("M j Y g:i A", filemtime($dirArray[$index]));
			$timekey=date("YmdHis", filemtime($dirArray[$index]));

			// Separates directories, and performs operations on those directories
			if(is_dir($dirArray[$index])) {
				$extn="&lt;Directory&gt;";
				$sizekey="0";
				$class="dir";

				// Gets favicon.ico, and displays it, only if it exists.
				if(file_exists("$namehref/favicon.ico")) {
					$favicon=" style='background-image:url($namehref/favicon.ico);'";
					$extn="&lt;Website&gt;";
				}

				// Cleans up . and .. directories
				if($name==".") {
					$name=". (Current Directory)";
					$extn="&lt;System Dir&gt;";
					$favicon=" style='background-image:url($namehref/.favicon.ico);'";
				}
				if($name=="..") {
					$name=".. (Parent Directory)";
					$extn="&lt;System Dir&gt;";
				}
			} else { //File-only operations

				// Gets file extension
				$extn=pathinfo($dirArray[$index], PATHINFO_EXTENSION);

				// Prettifies file type
				switch ($extn) {
					case "png": $extn="PNG Image"; break;
					case "jpg": $extn="JPEG Image"; break;
					case "jpeg": $extn="JPEG Image"; break;
					case "gif": $extn="GIF Image"; break;

					case "txt": $extn="Text File"; break;
					case "log": $extn="Log File"; break;

					case "pdf": $extn="PDF Document"; break;
					case "xls": $extn="Spreadsheet"; break;
					case "xlsx": $extn="Spreadsheet"; break;
					case "doc": $extn="MS Word Document"; break;
					case "docx": $extn="MS Word Document"; break;

					case "flac": $extn="Lossless Audio (FLAC)"; break;
					case "mp3": $extn="Lossy Audio"; break;
					case "ffp": $extn="FLAC Fingerprints"; break;
					case "md5": $extn="Checksum(s)"; break;

					default: if($extn!=""){$extn=strtoupper($extn)." File";} else{$extn="Unknown";} break;
				}

				// Gets and cleans up file size
				$sizekey=filesize($dirArray[$index]);
			}

	$size=pretty_filesize($dirArray[$index]);

$lgfilesize = 10240000;
$tagtext = "";
if(is_dir($dirArray[$index])) {
	if ($name != ". (Current Directory)") {
		echo('
			<tr class="' . $class . '">
				<td style="text-align: center; vertical-align: middle;"/>
				<td><a href="./' . $namehref . '"' . $favicon . ' class="name">' . $name . '</a></td>
				<td><a href="./' . $namehref . '">' . $extn . '</a></td>
				<td sorttable_customkey="' . $sizekey . '"><a href="./' . $namehref . '">' . $size . '</a></td>
				<td sorttable_customkey="' . $timekey . '"><a href="./' . $namehref . '">' . $modtime . '</a></td>
			</tr>'
		);
	}
} else
	if ( $sizekey > $lgfilesize ) {	// Any large files we want to make sure don't have a href (GET) link, only available for selecting and POSTing
		if ( $extn == "Lossless Audio (FLAC)" ) {	// Get flac tags and make available on hover
			$cmd = "metaflac --export-tags-to - " . escapeshellarg(realpath(dirname(".")) . "/" . $name) . " | sort";
			$tagtext = shell_exec( $cmd );
		}
	 	echo('
			<tr class="' . $class . '">
				<td style="text-align: center; vertical-align: middle;"><input type="checkbox" name="cbFile[]" value="' . $namehref . '"></td>
				<td' . $favicon . ' class="name" title="' . $tagtext . '">' . $name . '</td>
				<td>' . $extn . '</td>
				<td sorttable_customkey="' . $sizekey . '">' . $size . '</td>
				<td sorttable_customkey="' . $timekey . '">' . $modtime . '</td>
			</tr>'
		);
	} else
		echo('
			<tr class="' . $class . '">
				<td style="text-align: center; vertical-align: middle;"><input type="checkbox" name="cbFile[]" value="' . $namehref . '"></td>
				<td><a href="./' . $namehref . '"' . $favicon . ' class="name">' . $name . '</a></td>
				<td><a href="./' . $namehref . '">' . $extn . '</a></td>
				<td sorttable_customkey="' . $sizekey . '"><a href="./' . $namehref . '">' . $size . '</a></td>
				<td sorttable_customkey="' . $timekey . '"><a href="./' . $namehref . '">' . $modtime . '</a></td>
			</tr>'
		);

		}
	}?>

	</tbody>
	</table>

	<?php
		if ( $dir_contains_files ) {
			echo('<div style="text-align: center; padding: 0 0 12px 0;">');
			echo('	<input type="submit" value="Get zip">');
			echo('&nbsp;&nbsp;&nbsp;');

			if( $dir_contains_flacs && $sampdat < 6 ) {
				echo('<select name="downsample">');
				echo('   <option value="mp3320">MP3 (320)</option>');
				if($sampdat <= 5) echo('   <option value="'.($sampdat==5 ? 'nc" selected' : 's16441"').'>FLAC [16-44.1]</option>');
				if($sampdat <= 4) echo('   <option value="'.($sampdat==4 ? 'nc" selected' : 's1648"').'>FLAC [16-48]</option>');
				if($sampdat <= 3) echo('   <option value="'.($sampdat==3 ? 'nc" selected' : 's3248"').'>FLAC [24-48]</option>');
				if($sampdat <= 2) echo('   <option value="'.($sampdat==2 ? 'nc" selected' : 's3288"').'>FLAC [24-88]</option>');
				if($sampdat == 1) echo('   <option value="nc" selected>FLAC [24-96]</option>');
				echo('</select>');
			}
			echo('</div>');
			echo('</form>');
		}
	?>
</div>
</body>
</html>
